> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/soap-api/receipt.md).

# Receipt

Methods related to receipts

## Generate Receipt

<mark style="color:green;">`POST`</mark> /ICardProcess/ReceiptGenerate

Generate the html layout needed to create a customer, merchant, or dual receipt. Can be used for various receipt types such as: transaction, void, refund, annual and recurring consents.

{% tabs %}
{% tab title="Request body" %}

***

`RefID` int

The transaction ID or consent ID

***

`ReceiptTypes` int

Values:\
\- 1 (Transaction)\
\- 2 (Void)\
\- 3 (Refund)\
\- 4 (Annual Consent)\
\- 5 (Recurring Consent)

***

`Recipient` int

Values:\
\- 1 (Customer)\
\- 2 (Merchant)\
\- 3 (Both)
{% endtab %}

{% tab title="Response body" %}

***

`ReceiptHtml` string

The html of the receipt.
{% endtab %}
{% endtabs %}

## Query Receipt Details

<mark style="color:green;">`POST`</mark> /ICardProcess/ReceiptDetail\_Query

Return the details needed to generate a receipt for a credit card sale. For other receipt types, see the [#generate-receipt](#generate-receipt "mention") method.

{% tabs %}
{% tab title="Request body" %}

***

{% endtab %}

{% tab title="Response body" %}

***

`ReceiptInfo` api\_ReceiptDetail (object)

The details you'll need to create a credit card sale receipt.

Fields: MerchNumber, MerchDescrip, MerchAddress, MerchCity, MerchState, MerchZip, MerchPhone, MerchEmail, MerchTID, EntryType, TxDateTime, TxAmount, CardHolder, EndCustomer, TxID, TxnCode, TxType, TxStatus, RefID, CardType, CardNumber, AcctHolderID, EndCustID, AID, TVR, TSI, AC, ARC.
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.number.tech/api-reference/soap-api/receipt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
